org.keycloak.jose.jws

## Enum Algorithm

- java.lang.Object
- - java.lang.Enum<Algorithm>
  - - org.keycloak.jose.jws.Algorithm

- All Implemented Interfaces:
    Serializable, Comparable<Algorithm>

      public enum Algorithm
      extends Enum<Algorithm>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ES256`
    `ES384`
    `ES512`
    `HS256`
    `HS384`
    `HS512`
    `none`
    `RS256`
    `RS384`
    `RS512`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignatureProvider` | `getProvider()`
    `static Algorithm` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Algorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final Algorithm none

    - #### HS256

          public static final Algorithm HS256

    - #### HS384

          public static final Algorithm HS384

    - #### HS512

          public static final Algorithm HS512

    - #### RS256

          public static final Algorithm RS256

    - #### RS384

          public static final Algorithm RS384

    - #### RS512

          public static final Algorithm RS512

    - #### ES256

          public static final Algorithm ES256

    - #### ES384

          public static final Algorithm ES384

    - #### ES512

          public static final Algorithm ES512

  - ### Method Detail

    - #### values

          public static Algorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Algorithm c : Algorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Algorithm valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getProvider

          public SignatureProvider getProvider()

Copyright © 2016 JBoss by Red Hat. All rights reserved.